Host Certificate Manager Retrieve Certificate Info List

Host Certificate Manager Retrieve Certificate Info List
the CertificateInfos of all known Certificates on the host

the CertificateInfos of all known Certificates on the host

Since: vSphere API Release 8.0.1.0

Required privileges: Certificate.Manage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostCertificateManager/{moId}/RetrieveCertificateInfoList
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostCertificateManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "kind": "string",
        "issuer": "string",
        "notBefore": "string",
        "notAfter": "string",
        "subject": "string",
        "status": "string"
    }
]
array of object
Optional

This data object is used to encapsulate the X509 certificate metadata.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostCertificateManager/{moId}/RetrieveCertificateInfoList